HTMLElements.Element (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Class HTMLElements.Element

    java.lang.Object
      org.cyberneko.html.HTMLElements.Element

Enclosing class:
  HTMLElements

    public static class HTMLElements.Element

extends java.lang.Object

Element information.

Author:
  Andy Clark

Field Summary
`static int` | `BLOCK` Block element.
`short` | `bounds` The bounding element code.
`short[]` | `closes` List of elements this element can close.
`short` | `code` The element code.
`static int` | `CONTAINER` Container element.
`static int` | `EMPTY` Empty element.
`int` | `flags` Informational flags.
`static int` | `INLINE` Inline element.
`java.lang.String` | `name` The element name.
`HTMLElements.Element[]` | `parent` Parent elements.
`short[]` | `parentCodes` Parent elements.
`static int` | `SPECIAL` Special element.

Constructor Summary
`HTMLElements.Element(short code, java.lang.String name, int flags, short[] parents, short[] closes)` Constructs an element object.
`HTMLElements.Element(short code, java.lang.String name, int flags, short[] parents, short bounds, short[] closes)` Constructs an element object.
`HTMLElements.Element(short code, java.lang.String name, int flags, short parent, short[] closes)` Constructs an element object.
`HTMLElements.Element(short code, java.lang.String name, int flags, short parent, short bounds, short[] closes)` Constructs an element object.

Method Summary
`boolean` | `closes(short tag)` Returns true if this element can close the specified Element.
`boolean` | `equals(java.lang.Object o)` Returns true if the objects are equal.
`int` | `hashCode()` Returns a hash code for this object.
`boolean` | `isBlock()` Returns true if this element is a block element.
`boolean` | `isContainer()` Returns true if this element is a container element.
`boolean` | `isEmpty()` Returns true if this element is an empty element.
`boolean` | `isInline()` Returns true if this element is an inline element.
`boolean` | `isParent(HTMLElements.Element element)` Indicates if the provided element is an accepted parent of current element
`boolean` | `isSpecial()` Returns true if this element is special -- if its content should be parsed ignoring markup.
`java.lang.String` | `toString()` Provides a simple representation to make debugging easier

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INLINE

    public static final int INLINE

  Inline element.

  See Also:
    Constant Field Values

### BLOCK

    public static final int BLOCK

  Block element.

  See Also:
    Constant Field Values

### EMPTY

    public static final int EMPTY

  Empty element.

  See Also:
    Constant Field Values

### CONTAINER

    public static final int CONTAINER

  Container element.

  See Also:
    Constant Field Values

### SPECIAL

    public static final int SPECIAL

  Special element.

  See Also:
    Constant Field Values

### code

    public short code

  The element code.

### name

    public java.lang.String name

  The element name.

### flags

    public int flags

  Informational flags.

### parentCodes

    public short[] parentCodes

  Parent elements.

### parent

    public HTMLElements.Element[] parent

  Parent elements.

### bounds

    public short bounds

  The bounding element code.

### closes

    public short[] closes

  List of elements this element can close.

Constructor Detail

### HTMLElements.Element

    public HTMLElements.Element(short code,
                                java.lang.String name,
                                int flags,
                                short parent,
                                short[] closes)

  Constructs an element object.

  Parameters:
    `code` - The element code.
    `name` - The element name.
    `flags` - Informational flags
    `parent` - Natural closing parent name.
    `closes` - List of elements this element can close.

### HTMLElements.Element

    public HTMLElements.Element(short code,
                                java.lang.String name,
                                int flags,
                                short parent,
                                short bounds,
                                short[] closes)

  Constructs an element object.

  Parameters:
    `code` - The element code.
    `name` - The element name.
    `flags` - Informational flags
    `parent` - Natural closing parent name.
    `closes` - List of elements this element can close.

### HTMLElements.Element

    public HTMLElements.Element(short code,
                                java.lang.String name,
                                int flags,
                                short[] parents,
                                short[] closes)

  Constructs an element object.

  Parameters:
    `code` - The element code.
    `name` - The element name.
    `flags` - Informational flags
    `parents` - Natural closing parent names.
    `closes` - List of elements this element can close.

### HTMLElements.Element

    public HTMLElements.Element(short code,
                                java.lang.String name,
                                int flags,
                                short[] parents,
                                short bounds,
                                short[] closes)

  Constructs an element object.

  Parameters:
    `code` - The element code.
    `name` - The element name.
    `flags` - Informational flags
    `parents` - Natural closing parent names.
    `closes` - List of elements this element can close.

Method Detail

### isInline

    public final boolean isInline()

  Returns true if this element is an inline element.

### isBlock

    public final boolean isBlock()

  Returns true if this element is a block element.

### isEmpty

    public final boolean isEmpty()

  Returns true if this element is an empty element.

### isContainer

    public final boolean isContainer()

  Returns true if this element is a container element.

### isSpecial

    public final boolean isSpecial()

  Returns true if this element is special -- if its content should be parsed ignoring markup.

### closes

    public boolean closes(short tag)

  Returns true if this element can close the specified Element.

  Parameters:
    `tag` - The element.

### hashCode

    public int hashCode()

  Returns a hash code for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Returns true if the objects are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Provides a simple representation to make debugging easier

  Overrides:
    `toString` in class `java.lang.Object`

### isParent

    public boolean isParent(HTMLElements.Element element)

  Indicates if the provided element is an accepted parent of current element

  Parameters:
    `element` - the element to test for "paternity"
  Returns:
    `true` if `element` belongs to the `parent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.